Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77346 - PCMCIA cards are not found during installation
Summary: PCMCIA cards are not found during installation
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 8.0
Hardware: i586
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-05 16:52 UTC by Need Real Name
Modified: 2007-04-18 16:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-07 20:00:11 UTC


Attachments (Terms of Use)
Anaconda dump file (deleted)
2002-11-21 14:58 UTC, Need Real Name
no flags Details

Description Need Real Name 2002-11-05 16:52:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET CLR 
1.0.3705)

Description of problem:
After installing RH 8.0 on a Toshiba Satellite Pro 440CDT,  my pcmcia hardward 
is not loaded, and not detected by kudzu when the system reboots.  This causes 
me to have no network connections on my laptop.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Load RH 8.0
2. Run kudzu
3.
	

Actual Results:  RH 8.0 loads, but the pcmcia cards are not found

Expected Results:  The pcmcia cards should have loaded

Additional info:

Comment 1 Bill Nottingham 2002-11-05 16:54:45 UTC
PCMCIA detection is done in the installer.

Comment 2 Michael Fulbright 2002-11-06 16:57:29 UTC
What hardware do you have which is not being detected?

This sounds like a hotplug issue when you reboot.

Comment 3 Need Real Name 2002-11-06 19:48:23 UTC
Both of the following cards were not detected at the time of install or after 
subsequent reboots:  XIRCOM CEM56-100, 3Com Etherlink III (3c589D).  It appears 
as though it doesn't see the pcmcia slots.  I do not have this problem when I 
have loaded RH 7.3 .

Comment 4 Bill Nottingham 2002-11-06 20:11:20 UTC
Do you have anything in /etc/sysconfig/pcmcia?

Comment 5 Need Real Name 2002-11-06 20:24:42 UTC
The /etc/sysconfig/pcmcia file has the following:

PCMCIA=no
PCIC=
PCIC_OPTS=
CORE_OPTS=

Comment 6 Bill Nottingham 2002-11-06 20:29:04 UTC
Hm, that's supposed to be detected and set up by anaconda. What does /sbin/probe
say?

Comment 7 Need Real Name 2002-11-06 20:39:36 UTC
PCI bridge probe: not found.
Intel PCIC probe: not found.
Databook TCIC-2 probe: not found.

Comment 8 Need Real Name 2002-11-08 18:27:11 UTC
Anything new regarding this problem?  Should I attempt to reload RH 8.0?

Comment 9 Need Real Name 2002-11-21 14:58:52 UTC
Created attachment 85904 [details]
Anaconda dump file

Comment 10 Need Real Name 2002-11-21 15:00:42 UTC
The attached anaconda dump file occurred after I reloaded RH 7.3 then attempted 
to do an upgrade installation to RH 8.0.

Comment 11 Michael Fulbright 2002-11-22 15:26:21 UTC
The latest problem you reported is due to a bad CD.

Comment 12 Michael Fulbright 2003-01-03 03:34:58 UTC
Closing dur to inactivity, please reopen if you have additional information to add.

Comment 13 Need Real Name 2003-01-07 19:55:33 UTC
I have tried different media, that passed the media test in the RH 8.0 
installation.  I have used different pcmcia cards, and different slots on the 
laptop, and still the pcmcia controller is not found at installation, or with 
kudzu after the laptop loads.

Comment 14 Bill Nottingham 2003-01-07 20:00:11 UTC
This was a bug in the kernel-pcmcia-cs that shipped in 8.0. The probing code was
broken, so if you had a non-cardbus socket, it wouldn't be found. This should be
fixed in the next rawhide version of anaconda.


Note You need to log in before you can comment on or make changes to this bug.